Subject: bug#40119: [PATCH] Make compilation-mode regexp matching case-sensitive

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 Mar 2020 21:29:25 +0200

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 18 Mar 2020 19:30:23 +0100
> Cc: [email-masked]
> 
> 18 mars 2020 kl. 19.05 skrev Eli Zaretskii <[email-masked]>:
> 
> > What if we are wrong and some compiler needs case-insensitive
> > matching?  Your change makes it impossible to get back the old
> > behavior, not even optionally.
> 
> Do you mean that we should add a defcustom to permit the user to control the behaviour, or that doing so is impossible once rules are added which rely on the case-sensitivity?

The former.

> Either way, it seems much more likely that it is case-insensitivity that is an obstacle to adding new rules, not the contrary.

I don't understand what adding new rules has to do with this.  I'm
talking about a specific rule that needs to be matched
case-insensitively.

> Could you give an example of what such a hypothetical compiler needing case-insensitive matching would look like?

Sorry, I don't understand the question.  What I meant is that some of
the rules were written _knowing_ that the match is case-insensitive,
and will fail to match if that is changed.  I don't think there's
anyone around here that can claim detailed knowledge of every rule and
the compiler(s) that use them, so we have no one to ask whether this
danger is real or imaginary.